XmVaCreateText(library call)

NAME
XmVaCreateText, XmVaCreateManagedText — A Text widget convenience creation functions.

SYNOPSIS

#include <Xm/Text.h>

Widget XmVaCreateText(
Widget parent,
String name,
...);

Widget XmVaCreateManagedText(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateText function is a convenience routine that calls XtCreateWidget.

The XmVaCreateText function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of Text and its associated resources, see XmText(3).

RETURN

Returns the Text widget ID.

RELATED

XmText(3), XmCreateText(3), XtCreateWidget(3), and XtCreateManagedWidget(3).